### A free/open-source library for quantitative finance

Public Member Functions
EarlyExercise Class Reference

Early-exercise base class. More...

`#include <ql/exercise.hpp>`

Inheritance diagram for EarlyExercise:
[legend]

List of all members.

## Public Member Functions

| EarlyExercise (Type type, bool payoffAtExpiry=false)
bool | payoffAtExpiry () const

## Detailed Description

Early-exercise base class.

The payoff can be at exercise (the default) or at expiry